## mitmproxy-wireguard 0.1.23

=== .github/workflows/requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.10
# To update, run:
#
#    pip-compile --generate-hashes --output-file=requirements.txt requirements.in
#
maturin[zig]==0.13.3 \
    --hash=sha256:04a6cb00f125a280a7f2227c3464243d8920ed83ff5523b13fa10220395c3363 \
    --hash=sha256:06ed41bd4771674c6f8359e8ed4f261fbb23a371a1e4f833cc9af7f5e5904fc5 \
    --hash=sha256:0b8c5653c31703523232c602f6e93b76c5aaaf5af66b672155d820702dc63f69 \
    --hash=sha256:25eb48fc6178079c1399dff7b9ccd401747ecd174c043690f2c40425723b10c5 \
    --hash=sha256:2d8a3e43790a96663a10aa53c100a26f05364d76fbd52daddd980f4c2949411f \
    --hash=sha256:4d1c443776a290b26054112bac77c370ffff89ac7b2d9a04ca0536c257f51016 \
    --hash=sha256:5b3f1aa0817d30c450a46f6ef14f41e21f4f974cefd395181af9dec06a8b1d16 \
    --hash=sha256:65cc3e06dd8b9b0dc9cb813f7b61e3bd5fd327a198deabc661a6afb852d4991a \
    --hash=sha256:85abe7eaebd19e74a781a7512138e7dfae1504dc7cf291e7ad03234795c3c7cc \
    --hash=sha256:93e97cce6da48d9c8bd73d864d1ad04728ed28a5594b6b65f1322dfd1520c485 \
    --hash=sha256:a0b93434668f868387ba67d6455fc887d502c3528733311c0b7fed612d72b33b \
    --hash=sha256:d738fd84f661e181893625a609bb89c5c35f2038967aac0deff3a5602fd28058 \
    --hash=sha256:edeb8ecaa5cc6e6d2f50a32289798d7ca046c33481ac24f74805ff289af6afe4
    # via -r requirements.in
tomli==2.0.1 \
    --hash=sha256:939de3e7a6161af0c887ef91b7d41a53e7c5a1ca976325f429cb46ea9bc30ecc \
    --hash=sha256:de526c12914f0c550d15924c62d72abc48d6fe7364aa87328337a31007fe8a4f
    # via maturin
ziglang==0.9.1 \
    --hash=sha256:0a308fa651484a8660e315a53fd7d5c7e8d0b3c4ca3f591f60dab727b1a7bb34 \
    --hash=sha256:3517b877e9026840dcaee2df4478980389e792881e81fb026f65e57c69a02f23 \
    --hash=sha256:4fee74a60826fd41a623d535c7a9e6130207e320aede0a9d25b9e5b948e5fe3e \
    --hash=sha256:819e8e48504d5b6c1a0b2d9e20c714f13c7f27ec982fa2c5adea62935ab17310 \
    --hash=sha256:bf039d83321ae9957c3688021b9975c60171ffc8ba2b89046fdb08e0d43ddbdb \
    --hash=sha256:f58f62e0adffe1adcc150d43490e0141496e469d4c5461611cebe56558b95e77 \
    --hash=sha256:fa1d08040e2b9a7aab40b0c14e1baf52097e845ea7a6801462ec593f48cf3431 \
    --hash=sha256:fedce198fdaace4e8abb89c1a77e25023bb79dec8c30b54e7658dec3f01e9b62
    # via maturin

## mitmproxy-wireguard 0.1.18

=== debian/changelog ===
mitmproxy-wireguard (0.1.18-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 02:04:07 +0200

mitmproxy-wireguard (0.1.18-0kali2) kali-dev; urgency=medium

  * Add missing ca-certificates in build-deps
  * Add info in debian/rules

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 06 Feb 2023 12:02:58 +0100

mitmproxy-wireguard (0.1.18-0kali1) kali-dev; urgency=medium

  * Initial release. (do not package the latest version, it requires a too
    recent version of rust)

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 03 Feb 2023 10:28:52 +0100

=== debian/control ===
Source: mitmproxy-wireguard
Section: python
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 ca-certificates,
 cargo,
 librust-anyhow-dev,
 librust-base64-dev,
 librust-log-dev,
 librust-once-cell-dev,
 librust-pyo3-macros+abi3-dev,
 librust-rand-core-dev,
 librust-tokio-dev
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://github.com/decathorpe/mitmproxy_wireguard

Package: python3-mitmproxy-wireguard
Architecture: any
Depends:
 ${python3:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: proxy any device that can be configured as a WireGuard client (Python 3)
 This package contains a Python module to proxy any device that can be
 configured as a WireGuard client.
    * multithreaded / asynchronous WireGuard server using tokio:
        - one worker thread for the user-space WireGuard server
        - one worker thread for the user-space network stack
        - one worker thread for communicating with the Python runtime
    * full support for IPv4 packets (TCP and UDP)
    * basic support for IPv6 packets (TCP and UDP)
    * partial support for IPv6 packets
    * Python interface similar to the Python asyncio module
    * integration tests in mitmproxy
 .
 This package installs the library for Python 3.

## mitmproxy-wireguard 0.1.23

=== debian/changelog ===
mitmproxy-wireguard (0.1.23-0kali1) kali-dev; urgency=medium

  [ Sophie Brun ]
  * Remove armel from arch
  * New upstream version 0.1.23
  * Update build-dep

  [ Steev Klimaszewski ]
  * ci: Disable building on armel
  * ci: Disable building on armel, take 2.

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 20 Aug 2024 14:34:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: mitmproxy-wireguard
 Section: python
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -17,13 +17,16 @@
  librust-once-cell-dev,
  librust-pyo3-macros+abi3-dev,
  librust-rand-core-dev,
- librust-tokio-dev
+ librust-tokio-dev,
+ librust-x25519-dalek-dev
 Testsuite: autopkgtest-pkg-python
 Standards-Version: 4.6.2
 Homepage: https://github.com/decathorpe/mitmproxy_wireguard
+Vcs-Browser: https://gitlab.com/kalilinux/packages/mitmproxy-wireguard
+Vcs-Git: https://gitlab.com/kalilinux/packages/mitmproxy-wireguard.git
 
 Package: python3-mitmproxy-wireguard
-Architecture: any
+Architecture: amd64 i386 armhf arm64
 Depends:
  ${python3:Depends},
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export DEB_CARGO_CRATE=mitmproxy_wireguard_$(DEB_VERSION_UPSTREAM)


%:
	dh $@ --with python3

override_dh_auto_build:
	# maturin is not available yet in Debian: build and install
	# manually the package
	cargo build --manifest-path Cargo.toml

execute_after_dh_install:
	mv target/debug/libmitmproxy_wireguard*.so debian/python3-mitmproxy-wireguard/usr/lib/python3/dist-packages/mitmproxy_wireguard/mitmproxy_wireguard.abi3.so
	mv mitmproxy_wireguard.pyi debian/python3-mitmproxy-wireguard/usr/lib/python3/dist-packages/mitmproxy_wireguard/__init__.pyi

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/decathorpe/mitmproxy_wireguard/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
